*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    background: #222;
    min-height: 100vh;
}
.box1{
    position: relative;
    top: -100px;
    left: 150px;
    width: 300px;
    height: 300px;
    background: rgb(255, 187, 0);
    border-radius: 50%;
}
.box2{
    position: relative;
    top: 80px;
    left: -130px;
    width: 300px;
    height: 300px;
    background: rgb(185, 2, 2);
    border-radius: 20px;
    transform: rotate(45deg);
}
.clock{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 500px;
    height: 500px;
    z-index: 10;
    backdrop-filter: blur(10px);
    background: rgba(255,255,255,0.2);
    border-radius: 50%;
    border: 2px solid rgba(255,255,255,0.6);
}
.clock::before{
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 30px;
    height: 30px;
    z-index: 10;
    background: rgb(255, 255, 255);
    border-radius: 50%;
    transform: translate(-15px ,-15px);
}
.clock .pin1{
    position: absolute;
    width: 210px;
    height: 5px;
    border-radius: 7px;
    left: 245px;
    animation: animate 3600s linear infinite;
    transform: rotate(55deg);
    transform-origin: left ;
    box-shadow: 0px -2px 10px #111;
    background: rgb(255, 255, 255);
}
.clock .pin2{
    position: relative;
    width: 160px;
    height: 10px;
    left: -80px;
    background: #222;
    border-radius: 7px;
    animation: animate 43200s linear infinite;
    transform: rotate(55deg);
    transform-origin: right ;
}
.clock .pin3{
    position: absolute;
    width: 200px;
    height: 3px;
    left: 48px;
    background: red;
    box-shadow: 10px 5px 10px #111;
    z-index: 2;
    transform-origin: right;
    transform: rotate(90deg);
    animation: animate 60s linear infinite;
}
@keyframes animate{
    0%{
        transform: rotate(0deg);
    }
    10%{
        transform: rotate(36deg);
    }
    20%{
        transform: rotate(72deg);
    }
    30%{
        transform: rotate(108deg);
    }
    40%{
        transform: rotate(144deg);
    }
    50%{
        transform: rotate(180deg);
    }
    60%{
        transform: rotate(216deg);
    }
    70%{
        transform: rotate(252deg);
    }
    80%{
        transform: rotate(288deg);
    }
    90%{
        transform: rotate(324deg);
    }
    100%{
        transform: rotate(360deg);
    }
}
.clock .number{
    display: flex;
    justify-content: center;
    align-items: center;
    position:absolute;
    width: 100%;
    height: 100%;
    /* background: #111; */
    border-radius: 50%;
}
.clock .number h1{
    padding: 5px;
    color: #fff;
    text-shadow: 2px 2px 5px #222;
    font-size: 4em;
    font-family: Arial, Helvetica, sans-serif;
}
.clock .number h1:nth-child(1){
    position: absolute;
    top: 0px;
    left: 50;
}
.clock .number h1:nth-child(2){
    position: absolute;
    top: 50; 
    right: 0px;
}
.clock .number h1:nth-child(3){
    position: absolute;
    bottom: 0;
    left: 50;
}
.clock .number h1:nth-child(4){
    position: absolute;
    top: 50;
    left:0;
}
